import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-27 17:21
 */
export interface ContentConfig {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 问卷内容
    * @type { string }
    */
    content?: string;
    /**
    *
    * @type { string }
    */
    createUser?: string;
    /**
    * 更新人
    * @type { string }
    */
    updateUser?: string;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class ContentConfigMI {
    static get ID(): FieldInfo;
    static get CONTENT(): FieldInfo;
    static get CREATE_USER(): FieldInfo;
    static get UPDATE_USER(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-27 17:21
 */
export interface ContentDetailed {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 问卷内容id
    * @type { string }
    */
    contentId?: string;
    /**
    * 发送记录
    * @type { string }
    */
    sendRecordId?: string;
    /**
    * 问卷内容答案
    * @type { string }
    */
    answerContent?: string;
    /**
    * 是否浏览过  0 否 1 是
    * @type { string }
    */
    browsed?: string;
    /**
    * 是否答题过 0否 1 是
    * @type { string }
    */
    answered?: string;
    /**
    * 有效时间
    * @type { Date }
    */
    effDate?: Date;
    /**
    * 失效日期
    * @type { Date }
    */
    expDate?: Date;
    /**
    * 答卷人
    * @type { string }
    */
    submitUserId?: string;
    /**
    *
    * @type { Date }
    */
    createTime?: Date;
    /**
    *
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class ContentDetailedMI {
    static get ID(): FieldInfo;
    static get CONTENT_ID(): FieldInfo;
    static get SEND_RECORD_ID(): FieldInfo;
    static get ANSWER_CONTENT(): FieldInfo;
    static get BROWSED(): FieldInfo;
    static get ANSWERED(): FieldInfo;
    static get EFF_DATE(): FieldInfo;
    static get EXP_DATE(): FieldInfo;
    static get SUBMIT_USER_ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
